package com.s_cradle.improve.client;

import javax.microedition.lcdui.*;
import java.io.*;
import javax.microedition.io.*;
import java.util.Vector;
import java.util.Enumeration;

/**
 * Copyright (C) 2003 Sophia Cradle, Inc.
 *
 * Cʂ̗FBXg`悷 Canvas łB
 *
 * @author Masaru Yoshimura
 */
public class BuddyListCanvas extends ImproveAbstractCanvas {
    private static final int STATUS_BUDDY_LIST = 0;
    private static final int STATUS_MESSAGE_BOX = 1;

    private int status;
    private BuddyListMenu buddyListMenu;

    /**
     * RXgN^
     */
    public BuddyListCanvas(){
        status = STATUS_BUDDY_LIST;
        buddyListMenu = new BuddyListMenu();
    }

    /**
     * paint
     */
    protected void paint(Graphics g) {
        int clipX = g.getClipX();
        int clipY = g.getClipY();
        int clipW = g.getClipWidth();
        int clipH = g.getClipHeight();

        drawTicker(g);
        drawList(g);
    }

    /**
     * eBbJ[̕`
     */
    private void drawTicker(Graphics g) {
        ticker.paint(g);
    }

    /**
     * FBXg̕`
     */
    private void drawList(Graphics g) {
        buddyListMenu.draw(g,getWidth(),getHeight());
    }

    /**
     * L[nh
     */
    protected void keyReleased(int keyCode){
        try{
            buddyListMenu.processKeyRelease(getGameAction(keyCode),keyCode);
        } catch(IllegalArgumentException  ex){
            //NOP
        }

        repaint();
    }
}
