package com.s_cradle.improve.client;

import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.StringItem;
import com.s_cradle.improve.Constants;

/**
 * Copyright (C) 2003 Sophia Cradle, Inc.
 *
 * 2 Menu łB
 *
 * @author Masaru Yoshimura
 */
public class TwoChoiceMenu extends Menu{
    // ɎgĂ邩̒萔
    public static final int MENU_WITHDRAW = 0;
    public static final int MENU_QUIT = 1;
    public static final int MENU_REMOVEBUDDY = 2;
    public static final int MENU_PHONE = 3;

    private static final String[] ITEMS = new String[]{"͂",""};
    private static final int YES = 0;
    private static final int NO = 1;

    private int mode;
    private Buddy buddy;

    /**
     * RXgN^
     */
    public TwoChoiceMenu(String title, int mode_) {
        super(title, ITEMS, true);
        mode = mode_;
    }

    /**
     * RXgN^
     */
    public TwoChoiceMenu(String title, int mode_, Buddy buddy_) {
        this(title, mode_);
        buddy = buddy_;
    }

    /**
     * L[nh
     */
    public Menu processFireKeyRelease(){
        switch( mode ){
            case MENU_WITHDRAW:
                if( cursor == YES ){
                    Task.getTask(Task.TASK_DELETE,new String[0]).schedule(0);
                }
                break;
            case MENU_QUIT:
                if( cursor == YES ){
                    Task.getTask(Task.TASK_SET,new String[]{
                            String.valueOf(Constants.ITEM_INDEX_STATUS),
                            String.valueOf(Constants.STATUS_LOGOFF)})
                        .schedule(0);
                }
                break;
            case MENU_REMOVEBUDDY:
                if( cursor == YES ){
                    Task task = Task.getTask(Task.TASK_REMOVE,
                            new String[]{buddy.getAccount()});
                    task.schedule(0);
                }
                break;
            case MENU_PHONE:
                if( cursor == YES ){
                    //db
                }
                break;
            default:
                break;
        }

        return null;
    }
}
