package com.s_cradle.improve.server.protocol;

import com.s_cradle.improve.*;
import com.s_cradle.improve.server.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Copyright (C) 2003 Sophia Cradle, Inc.
 *  
 * pXُŃIy[VȂꍇɏNXłB
 *
 * @author Itaru Ogawa
 */
public class ErrorOperation extends Operation {
    /** G[e\p */
    private String text;

    /**
     * G[ew肷BRXgN^łB
     */
    protected ErrorOperation(String text) {
        this.text = text;
    }

    /**
     * GET̏łB
     */
    public int processGet(HttpServletRequest req, HttpServletResponse res) 
        throws IOException
    {
        int ret = -1;
        System.err.println(text);
        DataOutputStream out = new DataOutputStream(res.getOutputStream());
        res.setContentType(Constants.CONTENT_TYPE_BINARY);
        out.writeShort(ret);
        res.setContentLength(out.size());
        out.close();
        ImproveServlet.out.println(" ERROR : "+text);
        return ret;
    }

    /**
     * POST̏łB
     */
    public int processPost(HttpServletRequest req, HttpServletResponse res)  
        throws IOException
    {
        int ret = -1;
        System.err.println(text);
        DataOutputStream out = new DataOutputStream(res.getOutputStream());
        res.setContentType(Constants.CONTENT_TYPE_BINARY);
        out.writeInt(-1);
        res.setContentLength(out.size());
        out.close();
        ImproveServlet.out.println(" ERROR : "+text);
        return ret;
    }

}
