package com.s_cradle.improve.server.protocol;

import com.s_cradle.improve.*;
import com.s_cradle.improve.server.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

/**
 * Copyright (C) 2003 Sophia Cradle, Inc.
 *
 * Iy[V remove NXłB
 *
 * @author Itaru Ogawa
 */
public class Remove extends GetOperation {

    /**
     * parameters  remove vp[^[܂B
     */
    protected Remove() {
        parameters = new String[]{
            Constants.PARAMETER_ACCOUNT,
            Constants.PARAMETER_PASSWORD,
            Constants.PARAMETER_TARGET
        };
    }

    /**
     * GET\bhŃNGXg󂯂̏łB
     * [U[F؂ɒʂΗFB폜܂B
     * messagese[uɃf[^ꍇ̓e[u̐
     * ɂ莩Iɍ폜܂B
     */
    public int processGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException
    {
        String account = req.getParameter(Constants.PARAMETER_ACCOUNT);
        String password = req.getParameter(Constants.PARAMETER_PASSWORD);
        String target = req.getParameter(Constants.PARAMETER_TARGET);
        String sql;

        ImproveServlet.out.println(" account = "+account);
        ImproveServlet.out.println(" password = "+password);
        ImproveServlet.out.println(" target = "+target);

        Connection con = null;
        Statement st = null;
        int ret = -1;

        try {
            // JDBChCõ[hƐڑ
            Class.forName(Constants.POSTGRESQL_DRIVER).newInstance();
            con = DriverManager.getConnection(Constants.POSTGRESQL_CONNECTION);

            if (isAuthorized(account, password)) {// Fؐ
                // FB̍폜
                st = con.createStatement();
                sql = "DELETE FROM friends WHERE "
                    + "(account='"+account+"' AND target='"+target+"')"
                    + " OR "
                    + "(account='"+target+"' AND target='"+account+"')";
                ImproveServlet.out.println(" executeUpdate : "+sql);
                st.executeUpdate (sql);
                st.close();
                ret = target.length();
            }
            con.close();
            st = null;
            con = null;

        } catch (SQLException sqle) {
            sqle.printStackTrace();
            ImproveServlet.out.println(" EXCEPTION : "+sqle);
            ret = -1;

        } finally {
            try {
                if (st!=null) {
                    st.close();
                }
                if (con!=null) {
                    con.close();
                }
            } catch (SQLException sqle2) {
                sqle2.printStackTrace();
                ImproveServlet.out.println(" EXCEPTION : "+sqle2);
            }

            res.setContentType(Constants.CONTENT_TYPE_BINARY);
            DataOutputStream out = new DataOutputStream(res.getOutputStream());
            out.writeInt(ret);
            res.setContentLength(out.size());
            out.close();
            ImproveServlet.out.println(" result = "+ret);
            return ret;
        }
    }
}
